# minimization_moore.hh File Reference

This file containes the declaration of minimization_moore(). More...

Include dependency graph for minimization_moore.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename A , typename AI >
Element< A, AI > | minimization_moore (const Element< A, AI > &a)
| Returns the minimal deterministic automaton associated to the input one.
template<typename A , typename AI >
Element< A, AI > | co_minimization_moore (const Element< A, AI > &a)
| Returns the co-minimal co-deterministic automaton associated to the input one.
template<typename A , typename AI >
void | minimization_moore_here (Element< A, AI > &a)
| Minimalize the deterministic input automaton.
template<typename A , typename AI >
void | co_minimization_moore_here (Element< A, AI > &a)
| Co-minimalize the co-deterministic input automaton.

## Detailed Description

This file containes the declaration of minimization_moore().

Definition in file minimization_moore.hh.